{% extends 'base.html.twig' %}

{% block title %}Produit index{% endblock %}

{% block body %}
<div class="d-flex flex-row">
    {{ include('sidebar/_sidebar.html.twig', {'active': 'produit'}) }}
    <div class="container py-5">
        <h1>Liste des Produits</h1>

        <table class="table table-striped mt-5">
            <thead>
                <tr>
                    <th>Reference Produit</th>
                    <th>Designation</th>
                    <th>Prix</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
                {% for produit in produits %}
                <tr>
                    <td>{{ produit.referencePd }}</td>
                    <td>{{ produit.designation }}</td>
                    <td>{{ produit.prix }}</td>
                    <td>
                        <a class="btn btn-success"
                            href="{{ path('technicien_show', {'codeTech': produit.referencePd}) }}">Afficher</a>
                        <a class="btn btn-danger"
                            href="{{ path('technicien_edit', {'codeTech': produit.referencePd}) }}">Editer</a>
                    </td>
                </tr>
                {% else %}
                <tr>
                    <td colspan="4">Aucun produit trouvé</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>

        <a class="btn btn-primary" href="{{ path('produit_new') }}">Ajouter Produit</a>
    </div>
</div>
{% endblock %}